cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/billing_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"billing_period": {
"name": "Monthly billing",
"time_period": "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.billing_periods.create_settings_billing_period(
{
"billing_period": {
"name": "Monthly billing",
"time_period": "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.billingPeriods.createSettingsBillingPeriod({
billing_period: {name: 'Monthly billing', time_period: '2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->billingPeriods->createSettingsBillingPeriod([
'billing_period' => [
'name' => 'Monthly billing',
'time_period' => '2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.billing_periods.billing_periods_dto.BillingPeriodsDto.SettingsBillingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsBillingPeriod> response = client.billingPeriods().createSettingsBillingPeriod(
Map.of(
"billing_period", Map.of(
"name", "Monthly billing",
"time_period", "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.BillingPeriods.CreateSettingsBillingPeriodAsync(new Dictionary<string, object?>
{
["billing_period"] = new Dictionary<string, object?>
{
["name"] = "Monthly billing",
["time_period"] = "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.billingPeriods.createSettingsBillingPeriod({
'billing_period': {
'name': 'Monthly billing',
'time_period': '2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.BillingPeriods().CreateSettingsBillingPeriod(context.Background(), map[string]any{
"billing_period": map[string]any{
"name": "Monthly billing",
"time_period": "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"billing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>",
"time_period": "<string>"
}
}Billing periods
Create a billing period
Creates a billing period and returns it under billing_period.
POST
/
settings
/
billing_periods
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/billing_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"billing_period": {
"name": "Monthly billing",
"time_period": "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.billing_periods.create_settings_billing_period(
{
"billing_period": {
"name": "Monthly billing",
"time_period": "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.billingPeriods.createSettingsBillingPeriod({
billing_period: {name: 'Monthly billing', time_period: '2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->billingPeriods->createSettingsBillingPeriod([
'billing_period' => [
'name' => 'Monthly billing',
'time_period' => '2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.billing_periods.billing_periods_dto.BillingPeriodsDto.SettingsBillingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsBillingPeriod> response = client.billingPeriods().createSettingsBillingPeriod(
Map.of(
"billing_period", Map.of(
"name", "Monthly billing",
"time_period", "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.BillingPeriods.CreateSettingsBillingPeriodAsync(new Dictionary<string, object?>
{
["billing_period"] = new Dictionary<string, object?>
{
["name"] = "Monthly billing",
["time_period"] = "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.billingPeriods.createSettingsBillingPeriod({
'billing_period': {
'name': 'Monthly billing',
'time_period': '2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.BillingPeriods().CreateSettingsBillingPeriod(context.Background(), map[string]any{
"billing_period": map[string]any{
"name": "Monthly billing",
"time_period": "2b1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"billing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>",
"time_period": "<string>"
}
}Send the new billing period under
billing_period. name and time_period are required. time_period is the time period’s hyphenated uuid, not its tp_ id: put dashes back into the 32 characters after tp_ in an 8, 4, 4, 4, 12 pattern.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new billing period, under billing_period.
Show child attributes
Show child attributes